<?php

//        # Copyright (C) 2012-2013 GNU remotecontrol authors.
//        #
//        # This program is free software: you can redistribute it and/or modify
//        # it under the terms of the GNU Affero General Public License as
//        # published by the Free Software Foundation, either version 3 of the
//        # License, or (at your option) any later version.
//        #
//        # This program is distributed in the hope that it will be useful,
//        # but WITHOUT ANY WARRANTY; without even the implied warranty of
//        # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//        # GNU Affero General Public License for more details.
//        #
//        # You should have received a copy of the GNU Affero General Public License
//        # along with this program.  If not, see <http://www.gnu.org/licenses/>.
	
    $currentUser = $sessionHandling->getCurrentUser();
    $resourcesPageLevel = new ResourceCollection(true, 'GRCHM', false, 1, false);
    $GRCHM = $resourcesPageLevel->FindResourceByCode('GRCHM');
    if (isset($_GET['thermostatSort'])) {
        $thermostatSort = $_GET['thermostatSort'];
        if (
            in_array(
                $thermostatSort, array(
                    'Name_Desc', 'Name_Asc', 'Description_Desc', 'Description_Asc', 'Host_Desc', 'Host_Asc',
                    'Port_Desc', 'Port_Asc', 'TimeZone_Desc', 'TimeZone_Asc', 'Group_Desc', 'Group_Asc'
                )
            )
        ) {
            $currentUser->updateThermostatSortField($thermostatSort);
        }
    }
